terminalMarkets Endpoint

Returns market/pool data for specified mints. Returned markets are ranked by volume.

POST https://api.getfomo.bot/markets

Request

curl -X POST https://api.getfomo.bot/markets \
  -H "Content-Type: application/json" \
  -H "x-api-key: your-api-key-here" \
  -d '{
    "mints": ["DezXAZ8z7PnrnRJjz3wXBoRgixCa6xjnB7YaB1pPB263"],
    "include_dexes": ["675kPX9MHTjS2zt1qfr1NYHuzeLXfQM9H24wFSUt1Mp8"],
    "base_mints": ["So11111111111111111111111111111111111111112"],
    "min_liquidity_usd": 100,
    "max_markets_per_mint": 4,
    "aggregation_window": 3600,
    "include_raw_market_data": false,
    "exclude_dexes": ["whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc"]
  }'

Body Fields

Field
Type
Default
Description

mints

string[]

["Fbmm..."]

Intermedium mints to fetch markets for

include_dexes

string[]

["so11..."]

DEX program IDs to include. See overview for list of available.

base_mints

string[]

["so11..."]

Base mints (wSOL, USDC, USD1)

min_liquidity_usd

number

100

Minimum pool liquidity in USD (0 = disabled)

max_markets_per_mint

number

4

Maximum markets per mint (2-10)

aggregation_window

number

3600

Lookback window in seconds for volume/tx stats

include_raw_market_data

boolean

false

Include raw market data bytes

exclude_dexes

string[]

[]

DEX program IDs to exclude

Response

Last updated